Bug 545031 - Should ship its own CUPS convs file
Summary: Should ship its own CUPS convs file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: paps
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 545036
TreeView+ depends on / blocked
 
Reported: 2009-12-07 11:56 UTC by Tim Waugh
Modified: 2009-12-10 04:16 UTC (History)
2 users (show)

Fixed In Version: 0.6.8-12.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-10 04:16:03 UTC


Attachments (Terms of Use)
paps.convs (319 bytes, text/plain)
2009-12-07 11:56 UTC, Tim Waugh
no flags Details

Description Tim Waugh 2009-12-07 11:56:04 UTC
Created attachment 376662 [details]
paps.convs

Description of problem:
I think the paps package should ship its own CUPS '.convs' file for text/plain.  That way it is much easier for users to decide how text files are printed, whether with the CUPS texttops filter or by using paps.

This will also remove the hard dependency on paps in the cups package.

Version-Release number of selected component (if applicable):
paps-0.6.8-11.fc12.x86_64

The "cost" for the CUPS default texttops filter is 33 so the texttopaps cost just needs to be listed as lower in order to take priority.  Attached is paps.convs that does this.

The file should be shipped in /etc/cups/paps.convs and be marked as %config(noreplace).

Comment 1 Akira TAGOH 2009-12-08 01:42:50 UTC
Thanks. yep, that sounds reasonable.

Comment 2 Akira TAGOH 2009-12-08 09:39:47 UTC
fixed in paps-0.6.8-12.fc{12,13}

Do you want to see the updated package on F-11 too?

Comment 3 Fedora Update System 2009-12-08 09:47:47 UTC
paps-0.6.8-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/paps-0.6.8-12.fc12

Comment 4 Tim Waugh 2009-12-08 09:51:45 UTC
F-12 onwards is fine.  Thanks!

Comment 5 Fedora Update System 2009-12-10 04:15:59 UTC
paps-0.6.8-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.